classification
Title: msi by bdist_msi will fail execute install-scripts if space in present in python path
Type: crash Stage: resolved
Components: Distutils Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, eszense, steve.dower
Priority: normal Keywords: patch

Created on 2017-01-18 19:38 by eszense, last changed 2021-02-03 18:21 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
patch.diff eszense, 2017-01-18 19:38 review
patch.diff eszense, 2017-01-19 13:38 Combined fix for Issue 15797 and 29313
Messages (3)
msg285749 - (view) Author: (eszense) Date: 2017-01-18 19:38
If python.exe path contains space, msi generated with bdist_msi command with --install-script=abc.py will fail with msg:

C:\\Program Files\\Python35\\python.exe: can't open file 'C:\\Program': [Error 2] No such file or directory

Patch attached for your consideration
msg285788 - (view) Author: (eszense) Date: 2017-01-19 13:35
This issue can be fixed together with Issue 15797.

Patch attached for your consideration
msg386355 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:21
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:21:26steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386355

resolution: out of date
stage: resolved
2017-01-19 13:38:02eszensesetfiles: + patch.diff
2017-01-19 13:37:27eszensesetfiles: - patch2.diff
2017-01-19 13:35:38eszensesetfiles: + patch2.diff

messages: + msg285788
2017-01-18 19:38:39eszensecreate